AOWP_PHPFunctionCallWithVariableElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPFunctionCallWithVariableElement
/parser/ast/PHPFunctionCallWithVariableElement.class.php at line 17

# Class AOWP_PHPFunctionCallWithVariableElement

    AOWP_PHPElement
        └─AOWP_PHPFunctionCallWithVariableElement

public class AOWP_PHPFunctionCallWithVariableElement
extends AOWP_PHPElement

Temporal implmements...

`function_call(A) ::= T_STRING(B) LPAREN function_call_parameter_list(C) RPAREN. {}`

Author:
  Ryoto Naruse /

Field Summary
mixed | $arguments
mixed | $variable

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPFunctionCallWithVariableElement(mixed _line, mixed variable, mixed arguments)

Method Summary
void | __toString()
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPFunctionCallWithVariableElement.class.php at line 20

### arguments

`public mixed $arguments`

/parser/ast/PHPFunctionCallWithVariableElement.class.php at line 19

### variable

`public mixed $variable`

## Constructor Detail

/parser/ast/PHPFunctionCallWithVariableElement.class.php at line 22

### AOWP_PHPFunctionCallWithVariableElement

`public AOWP_PHPFunctionCallWithVariableElement(mixed _line, mixed variable, mixed arguments)`

## Method Detail

/parser/ast/PHPFunctionCallWithVariableElement.class.php at line 29

### __toString

`public void __toString()`

/parser/ast/PHPFunctionCallWithVariableElement.class.php at line 34

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr